/**
 * Analytics API v1 (OpenAPI: 3.0.1)
 *
 *
 * NOTE: This class is auto generated by openapi-typescript-client-api-generator.
 * Do not edit the file manually.
 */

export class FloorResponse {
    public coreId: string;

    public version: number;

    public internalId: string;

    public fields: string;

    public name: string;

    public timeZone: string;

    /**
     * Creates a FloorResponse.
     *
     * @param {string} coreId
     * @param {number} version
     * @param {string} internalId
     * @param {string} fields
     * @param {string} name
     * @param {string} timeZone
     */
    constructor(coreId: string, version: number, internalId: string, fields: string, name: string, timeZone: string) {
        this.coreId = coreId;
        this.version = version;
        this.internalId = internalId;
        this.fields = fields;
        this.name = name;
        this.timeZone = timeZone;
    }
}
